{
  "name": "vite-react-ts-eslint-prettier",
  "private": true,
  "version": "0.0.0",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "build:dev": "vite build --mode development",
    "build:tsc": "tsc && vite build",
    "preview": "vite preview",
    "lint": "npx eslint src",
    "lint:fix": "npm run lint -- --fix",
    "prettier": "npx prettier src --check",
    "prettier:fix": "npm run prettier -- --write",
    "format": "npm run prettier:fix && npm run lint:fix"
  },
  "dependencies": {
    "@amap/amap-jsapi-loader": "^1.0.1",
    "@ant-design/icons": "^5.2.6",
    "@reduxjs/toolkit": "^2.0.1",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-react": "^1.0.6",
    "antd": "^5.12.2",
    "axios": "^1.6.2",
    "dayjs": "^1.11.10",
    "echarts": "^5.4.3",
    "events": "^3.3.0",
    "file-saver": "^2.0.5",
    "js-base64": "^3.7.5",
    "js-cookie": "^3.0.5",
    "localforage": "^1.10.0",
    "lodash": "^4.17.21",
    "match-sorter": "^6.3.1",
    "moment": "^2.29.4",
    "pinyin-pro": "^3.14.0",
    "prop-types": "^15.8.1",
    "qs": "^6.10.3",
    "query-string": "^8.1.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-redux": "^9.0.4",
    "react-router-dom": "^6.21.0",
    "react-viewer": "^3.2.2",
    "sort-by": "^1.2.0",
    "wangeditor": "^4.7.15",
    "xlsx": "^0.18.5",
    "big.js": "^6.2.1"
  },
  "devDependencies": {
    "@types/file-saver": "^2.0.7",
    "@types/js-cookie": "^3.0.6",
    "@types/lodash": "^4.14.202",
    "@types/node": "^20.10.5",
    "@types/react": "^18.2.45",
    "@types/react-dom": "^18.2.18",
    "@types/react-redux": "^7.1.33",
    "@typescript-eslint/eslint-plugin": "^6.15.0",
    "@typescript-eslint/parser": "^6.15.0",
    "@vitejs/plugin-react": "^4.2.1",
    "@types/big.js": "^6.2.2",
    "eslint": "^8.56.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-import": "^2.29.1",
    "eslint-plugin-jsx-a11y": "^6.8.0",
    "eslint-plugin-prettier": "^5.0.1",
    "eslint-plugin-react": "^7.33.2",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-unused-imports": "^3.1.0",
    "prettier": "^3.1.1",
    "sass": "^1.69.5",
    "typescript": "^5.3.3",
    "vite": "^5.0.10",
    "vite-tsconfig-paths": "^4.2.2"
  }
}
